.container {
    padding: 0;
}
.verify-code {
    font-size: 18px;
    .send-code-again {
        font-size: 14px;
        padding: 0;
    }
    .back-register {
        font-size: 16px;
        position: relative;
    }
}
.row {
    margin-left: 0 !important;
    margin-right: 0 !important;
}

.bg-custom{
    background-color: #0E1C47 !important;
    color: white !important;
    border-radius: 2rem !important;
    border: 1px solid #0E1C47 !important;
    &:hover {
        background-color: transparent !important;
        color: #0E1C47 !important;
        cursor:  pointer !important;
    }
}

button[mat-raised-button] {
    background-color: #144752;
    color: white;
    &:hover {
        background-color: #0d363f;
        color: white;
    }
}
.slogan-login {
    font-size: 40px;
    font-weight: bolder;
}
.row-custom {
    margin-top: 2rem;
    margin-bottom: 3rem;
}
ng-otp-input {
    // width: 100% !important;

    ::ng-deep div {
        // width: 100% !important;
        display: flex;
        justify-content: center;
    }
    ::ng-deep .otp-input {
        border: 2px solid black !important;
        font-size: 1rem;
        margin: 0 1rem;
        &:focus {
            outline: none;
        }
    }
}
@media (max-width: 374px) {
    .rounded-input {
        width: 30px !important;
        height: 30px !important;
        font-size: 16px;
    }
    .button-center {
        margin-left: 0rem !important;
        margin-right: 0rem !important;
    }
    .send-code-again {
        font-size: 12px !important ;
    }
    .mat-icon-size {
        font-size: 16px !important;
        width: 20px;
        padding-top: 1px;
        top: 1px !important;
    }
    .back-register {
        font-size: 14px !important;
    }
    .margin-left-20px {
        margin-left: 20px !important;
    }
}
@media (max-width: 576px) and (min-width: 480px) {
    .button-center {
        margin-left: 4rem !important;
        margin-right: 4rem !important;
    }
}

@media (max-width: 575px) {
    .row-verify-code {
        margin-top: 2rem;
        border-left: none;
    }
    .verify-code {
        margin: 0;
        font-size: 20px;
        .send-code-again {
            font-size: 14px;
        }
    }
    .col-auto {
        padding-right: 0 !important;
    }
    .rounded-input {
        margin: 0 4px !important;
    }
    .button-center {
        margin-left: 1rem;
        margin-right: 1rem;
    }
    .text-verify-code {
        font-size: 18px;
        text-align: center;
    }
    .col-btn-fp {
        padding-right: 0 !important;
        padding-left: 0;
    }
}

@media (max-width: 767px) and (min-width: 576px) {
    .row-verify-code {
        border-left: none;
    }
    .button-center {
        margin-left: 5rem !important;
        margin-right: 5rem !important;
    }

    .rounded-input {
        margin: 0 7px !important;
    }
}
@media (min-width: 768px) {
    .row-verify-code {
        // border-left: 1px solid black;
        margin-top: 1rem;
    }

}
@media (max-width: 992px) and (min-width: 768px) {
    .verify-code {
        margin: 1rem;
        padding: 0;
    }
    .col-auto {
        padding-right: 0 !important;
    }
    .rounded-input {
        margin: 0 7px !important;
    }
    .button-center {
        margin: 0 0 0 5rem;
    }
}
@media (min-width: 991px) and (max-width: 1025px) {
    .verify-code {
        margin: 2rem 0;
        font-size: 20px !important;
        padding: 0;
    }
    .rounded-input {
        margin: 0 10px !important;
    }
    .button-center {
        margin: 0 6rem 0 9rem;
    }
    .slogan-login {
        font-size: 32px;
    }
}
@media (min-width: 1025px) {
    .verify-code {
        margin: 3rem 0rem;
        font-size: 20px;
    }
    .button-center {
        margin: 0 6rem 0 9rem;
    }
    .rounded-input {
        margin: 0 10px !important;
    }
    .slogan-login {
        font-size: 32px;
    }
}
@media (min-width: 1200px) {
    .button-center {
        margin: 0 2rem 0 12rem !important;
    }
    .slogan-login {
        font-size: 40px;
    }
}
.text-verify-code {
    text-align: center;
}

.border-bottom-slogan {
    border-bottom: 2px solid black;
    width: 30%;
}
.space {
    margin: 6rem;
}
.slogan-login-md {
    font-size: 28px;
    font-weight: bolder;
}
.slogan-login-sm {
    font-size: 20px;
    font-weight: bolder;
    text-align: center;
}
.rounded-input {
    border-radius: 30%;
    width: 38px;
    text-align: center;
    margin: 0 15px;
}
.underline {
    text-decoration: underline;
}
.line {
    position: relative;
}
.spec {
    position: absolute;
    border-top: 2px solid;
    width: 5rem;
}
.mat-icon-size {
    font-size: 18px;
    position: absolute;
    top: 3px;
}
.margin-left-20px {
    margin-left: 23px;
}
